
Figure - Bug #117747
【BSP】【DVT】【工厂模式】工厂模式点击跳过激活后，重启设备，没有重新显示工厂模式界面
2023-05-04 14:28 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-05-04

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0097

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-08

Test Type: ST Root cause: 功能未实现

Description

前置条件

None

操作步骤：

1.设备烧写0097版本

2.开机后通过按四角进入工厂模式

3.点击跳过激活

4.重启设备

预期结果：

重启后，仍然显示激活界面，并且可再次通过按四角进入工厂模式

实际结果：

重启后直接进入操作界面

History

#1 - 2023-05-04 14:28 - 移动测试一组_CDTS 刘强

- Category set to CD-FW

#2 - 2023-05-04 22:26 - CD TPM-王祥林

需要和客户讨论需求

#3 - 2023-05-08 13:39 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW-廖涛

#4 - 2023-05-08 14:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197977 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:FactoryMode: Fix skip activation func problem.TC-RID: 1201-0207601IssueID: TS-R-BUG-117747Change-Id: Ica858c6459e280fd4339f73df91d241ed5736ece
#5 - 2023-05-08 14:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197976 general/platform/vendor/thundercom

m/apps/TCSetupWizard

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:FactoryMode: Fix skip activation func problem.TC-RID: 1201-0207601IssueID: TS-R-BUG-117747Change-Id:

I648dad51bad4b38f057e1d61a1d5891523a3a7a0

#6 - 2023-05-08 14:52 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-08

- Root cause set to 功能未实现

■ Current conclusion

已处理，代码已入库。

■ My analysis、

之前功能还在讨论，未实现。

目前方案：

1. 通过工厂模式跳过激活，重启后，会再次进入激活引导界面；

2. 通过连续点击 6 次跳过激活，重启后，不会再进入激活引导界面；（这种方式仅为了调试用，正式版本会去掉。）

■ Next action

测试验证。

#7 - 2023-05-10 14:46 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：0098

验证结果：问题不复现，关闭issue

#8 - 2023-05-10 14:48 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
